Bug 511331 - X crashes randomly
X crashes randomly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 14:00 EDT by Pete Zaitcev
Modified: 2009-08-23 19:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-23 19:51:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log.gz (891.94 KB, text/plain)
2009-07-14 14:07 EDT, Pete Zaitcev
no flags Details
Xorg.0.log (138.55 KB, text/plain)
2009-07-14 14:32 EDT, Pete Zaitcev
no flags Details
Xorg.0.log.gz (890.84 KB, text/plain)
2009-07-16 00:09 EDT, Pete Zaitcev
no flags Details

  None (edit)
Description Pete Zaitcev 2009-07-14 14:00:24 EDT
Description of problem:

X crashes about once in one or two days.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.6.99-9.20090706.fc12.x86_64

How reproducible:

Not easily, requires an actual use of the system.

Steps to Reproduce:
1. unknown
  
Actual results:

Crash

Expected results:

No crash

Additional info:

The crash happens over a kernel with DRM disabled _and_ stock Fedora kernel.
So, I don't think it's necesserily a Radeon's problem.

Stack trace does not get captured every time. I'll attach Xorg.0log
that does have a stack trace.

Crash always happens when a new application starts up, _however_
the application usually has a time to display a visible main window.
Comment 1 Pete Zaitcev 2009-07-14 14:07:42 EDT
Created attachment 351648 [details]
Xorg.0.log.gz

Sorry, had to compress it or else Bugzilla chokes on 100MB or error messages.
Comment 2 Pete Zaitcev 2009-07-14 14:32:08 EDT
Created attachment 351649 [details]
Xorg.0.log

Sadly, the stack trace of the crash is entirely different, so may be
some random memory corruption.

I found a reliable way to trigger it: start skype & (in bg). If I launch
it without ampersand, it works. With apmersand, it crashes X.
Comment 3 Pete Zaitcev 2009-07-16 00:09:29 EDT
Created attachment 353945 [details]
Xorg.0.log.gz

EXA bug: Calling FinishAccess on pixmap 0x3d2ecb0 with index 1 while it should have been (nil).

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x28) [0x45f618]
1: /usr/bin/Xorg [0x462f19]
2: /lib64/libc.so.6 [0x7f2fa810e4c0]
3: /usr/bin/Xorg(dixLookupPrivate+0xa) [0x446aba]
4: /usr/bin/Xorg(FreePicture+0x73) [0x4c1163]
5: /usr/bin/Xorg(FreeGlyph+0x81) [0x55b421]
6: /usr/bin/Xorg(FreeGlyphSet+0x77) [0x55b517]
7: /usr/bin/Xorg(FreeResource+0x140) [0x44a090]
8: /usr/bin/Xorg [0x4c85f2]
9: /usr/bin/Xorg [0x42d764]
10: /usr/bin/Xorg [0x42293a]
11: /lib64/libc.so.6(__libc_start_main+0xfd) [0x7f2fa80f9aed]
12: /usr/bin/Xorg [0x4224e9]
Segmentation fault at address (nil)
Comment 4 Pete Zaitcev 2009-07-20 14:35:53 EDT
Another one:

EXA bug: Calling FinishAccess on pixmap 0x1f5ea10 with index 1 while it should have been (nil).

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x28) [0x45f1c8]
1: /usr/bin/X [0x462ac9]
2: /lib64/libc.so.6 [0x7f0b74edd4c0]
3: /usr/bin/X [0x435698]
4: /usr/bin/X(EventSelectForWindow+0x260) [0x4381d0]
5: /usr/bin/X(ChangeWindowAttributes+0x6e9) [0x452429]
6: /usr/bin/X [0x42d0b4]
7: /usr/bin/X [0x42d704]
8: /usr/bin/X [0x42296a]
9: /lib64/libc.so.6(__libc_start_main+0xfd) [0x7f0b74ec8aed]
10: /usr/bin/X [0x422519]
Segmentation fault at address (nil)

Looks completely random, even if reliable (Skype again).
Comment 5 Pete Zaitcev 2009-07-22 19:23:03 EDT
There may be two problems here, I'm not sure.

Other scenario - when Skype crashes X, there's a random traceback,
as captured above. This is rather easy to reproduce, just start
Skype with "skype &".

Original scenario - when a random open source program crashes X.
This hapens very infrequently, about once in 2 days (still pretty
unpleasant though). Can be anything, for example Liferea, VLC.
In that case, there's no traceback, just a crash.

xorg-x11-server-Xorg-1.6.99-14.20090715.fc12.x86_64
xorg-x11-drv-ati-6.12.2-19.fc12.1.x86_64
Comment 6 Pete Zaitcev 2009-08-13 13:56:16 EDT
The system stayed up for 2 days.

xorg-x11-server-Xorg-1.6.99-28.20090804.fc12.x86_64
glibc-2.10.90-12.x86_64 (no prelink)
kernel-2.6.31-0.125.rc5.git2.fc12.x86_64
Comment 7 Pete Zaitcev 2009-08-13 14:13:49 EDT
One minute after I posted the update above, the X crashed. It went to
the text console (in fb mode), and the following appeared:

Unpin not necessary for ffff8800739796d0 !
Comment 8 Jérôme Glisse 2009-08-17 07:29:35 EDT
Can you try running your desktop with kms disabled for few days to see if it crash (add radeon.modeset=0 to your grub commandline) with KMS disabled. I don't think it's a radeon issue. The Unpin message is harmless i need to track down a double unpin somewhere in the kernel. Also it might be a good thing to run a memtest see if your memory is fine but i don't think it's that.
Comment 9 Pete Zaitcev 2009-08-23 19:51:21 EDT
xorg-x11-server-Xorg-1.6.99-33.20090807.fc12.x86_64
xorg-x11-drv-ati-6.12.2-21.fc12.x86_64
kernel-2.6.31-0.125.4.2.rc5.git2.fc12.x86_64

Seems to work, closing.

Note You need to log in before you can comment on or make changes to this bug.